%define _exclude_files_from_autoprov %{_libdir}/thunarx-2/.*\\.so

Name:		thunar-dropbox
Summary:	Dropbox plugin for Thunar
Version:	0.2.1
Release:	%mkrel 1
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		http://softwarebakery.com/maato/thunar-dropbox.html
Source0:	http://softwarebakery.com/maato/files/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(thunarx-2)
Requires:	hicolor-icon-theme
Requires:	thunar
Requires:	dropbox

%description
Thunar Dropbox is a plugin for thunar that adds context-menu items from
dropbox.

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
#configure_waf
#waf
./waf configure --prefix=%{_prefix} --libdir=%{_libdir}
./waf build

%install
#waf_install
./waf install --destdir=%{buildroot}

%files
%{_libdir}/thunarx-2/thunar-dropbox.so
%{_iconsdir}/hicolor/*/apps/thunar-dropbox.png


%changelog
* Sun Nov 08 2015 wally <wally> 0.2.1-1.mga6
+ Revision: 898994
- new version 0.2.1
- drop unneeded lib64 patch

* Sun Jun 21 2015 wally <wally> 0.2.0-4.mga6.nonfree
+ Revision: 837618
- fix requires after dropbox-bin was renamed as dropbox

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5.nonfree
+ Revision: 743999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5.nonfree
+ Revision: 689871
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 wally <wally> 0.2.0-1.mga5.nonfree
+ Revision: 587097
- add patch to fix install on x86_64 (patch originally from Heiko Adams)
- imported package thunar-dropbox

